Index: pbx.c
===================================================================
RCS file: /usr/cvsroot/asterisk/pbx.c,v
retrieving revision 1.263
diff -u -r1.263 pbx.c
--- pbx.c	19 Jul 2005 15:54:17 -0000	1.263
+++ pbx.c	15 Aug 2005 16:28:42 -0000
@@ -5334,8 +5334,8 @@
 			ast_log(LOG_WARNING, "Invalid Time Spec: %s\nCorrect usage: %s\n", ptr1, usage);
 			res = -1;
 		}
-		
-		if (!res && ast_check_timing(&timing)) {
+
+		if (ast_check_timing(&timing)) {
 			if (ptr2) {
 				/* ptr2 is now the app name 
 				   we're done with ptr1 now so recycle it and use it to point to the app args*/
@@ -5344,6 +5344,7 @@
 					*ptr1 = '\0';
 					ptr1++;
 				}
+
 				if ((app = pbx_findapp(ptr2))) {
 					res = pbx_exec(chan, app, ptr1 ? ptr1 : "", 1);
 				} else {
@@ -5353,6 +5354,9 @@
 			} else {
 				ast_log(LOG_WARNING, "%s\n", usage);
 			}
+		} else {
+			ast_log(LOG_NOTICE, "Outside timespec\n");
+			return 0;
 		}
 	} else {
 		ast_log(LOG_ERROR, "Memory Error!\n");
